<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="index.css">
</head>
<body>
    <div class="grid-container">
        <div class="fila1 row">
            <div class="texto col-sm-8">
                <h1>Api sencilla cliente servidor de Daniel</h1>
            </div>
        </div>
        <div class="fila2">
            <div class="cards-and-buttons">
                <div class="card-container">
                    <div class="card">
                        <div class="card-header">
                            <h2 class="card-title">Current Score:</h2>
                        </div>
                        <div class="card-body">
                            <h1><span id="score"></span></h1>
                        </div>
                        <div class="card-footer">
                            <h2 class="max-score">Current max score = <span class="score-value" id="maxScore"></span></h2>
                        </div>
                    </div>
                </div> 
                <div class="button-container">
                    <div class="button-wrapper">
                        <button class="custom-button" id="add1Button">Add 1 to the score</button>
                        <button class="custom-button" id="add10Button">Add 10 to the score</button>
                        <button class="custom-button" id="Subtract1Button">Subtract 1 from the score</button>
                        <button class="custom-button" id="Subtract10Button">Subtract 10 from the score</button>
                        <button class="custom-button" id="ResetButton">Reset the score</button>
                        
                    </div>
                </div>
            </div>  
            <div class="wall">
                <div class="wall-of-fame">
                    <h2 class="wall-of-fame-header">I was here</h2>
                    <div class="addvisitor">
                        <input id="visitorNameInput" type="text" placeholder="Enter visitor name">
                        <button id="addVisitorButton">Add Visitor</button>                       
                    </div>
                    <div class="wall-of-fame-names" id="visitors">
                    </div>
                </div>   
            </div>       
        </div>
    </div>
    <div class="fila3">
        <button id="poblateDataBase">Press me poblate the database</button>
        <button id="getDocumentButton">Get el quijote</button>
        <input type="file" id="fileUpload">
        <button id="uploadButton">Upload File</button>
    </div>
    <div id="documentData"></div>    <script src="app.js" type="module" defer></script>
</body>
</html>
